require("config.plg")
require("config.map")
require("config.opt")

-- Colorscheme configuration
require("gruvbox").setup({
    italic = { strings = false, emphasis = false, comments = false },
    transparent_mode = true
})
vim.cmd("colorscheme gruvbox")

-- ensure highlighting
require("nvim-treesitter.configs").setup({
    ensure_installed = { "haskell", "c", "lua", "go", "bash", "make", "html", "css" }
})

-- neorg
require("neorg").setup {
    load = {
        ["core.defaults"] = {},
        ["core.concealer"] = {},
        ["core.integrations.telescope"] = {},
        ["core.dirman"] = {
            config = {
                workspaces = {
                    notes = "~/docs/notes",
                },
                default_workspace = "notes",
            },
        },
    },
}

-- lsp-zero
local lsp_zero = require('lsp-zero')

lsp_zero.on_attach(function(client, bufnr)
  lsp_zero.default_keymaps({buffer = bufnr})
end)
require('mason').setup({})
require('mason-lspconfig').setup({
  ensure_installed = { "hls", "gopls" },
  handlers = {
    gopls = function()
        require("lspconfig").gopls.setup({})
    end,
    lsp_zero.default_setup,
  },
})
